
<div>
    <div style="top:100px;" class="nextDossierInfo" ng-if="!pastellConnector.isInit && !pastellConnector.isError">
            <span class="text text-info">
                {{'Admin.Avance.getting_infos' | translate}}
            </span>
        <span style="position: relative; width: 0px; z-index: 2000000000; right: 140px; top: 100px;" us-spinner="{radius:20, width:8, length: 16}" ></span>
    </div>
    <div class="col-md-12" ng-if="pastellConnector.isError">
        <div class="row">
            <div class="alert alert-danger">Erreur d'authentification au service, merci de vérifier le token d'authentification dans le fichier de propriétés 'iparapheur-global.properties'</div>
        </div>
    </div>
    <div class="col-md-12" ng-if="pastellConnector.isInit">
        <h2>Service du connecteur mail sécurisé</h2>
        <div class="row">
            <div class="col-md-12">
                <h4>
                    État du service :
                    <span class="label label-success" ng-if="pastellConnector.status != undefined">Actif</span>
                    <span class="label label-danger" ng-if="pastellConnector.status == undefined">Inactif</span>
                </h4>
                <hr/>
            </div>
            <div class="text text-info fa-2x" ng-if="pastellConnector.state.updating">
                <i class="fa fa-refresh fa-spin"></i>
                Mise à jour en cours ... Veuillez patienter
            </div>
            <div class="col-md-4" ng-if="!pastellConnector.state.updating" style="border-right: 1px solid #eee;">
                <section class="child-margin">
                    <h4>Version : {{pastellConnector.status.currentVersion}}</h4>

                    <div ng-if="pastellConnector.status.currentVersion != pastellConnector.status.latestVersion" class="alert alert-info helper-inline-block">
                        Mise à jour disponible ({{pastellConnector.status.latestVersion}})
                        <span ng-click="pastellConnector.doupdate()" class="btn btn-info" ng-disabled="pastellConnector.state.updating">
                            <i class="fa fa-refresh" ng-class="pastellConnector.state.updating ? 'fa-spin' : ''"></i>
                            Mettre à jour
                        </span>
                    </div>
                    <div>
                        <label class="flex-centered">
                            <span>Mise à jour automatique : </span>
                            <i class="fa fa-2x" ng-class="pastellConnector.status.autoUpdateEnabled ? 'fa-toggle-on text-success' : 'fa-toggle-off text-secondary'"></i>
                            <input ng-change="" type="checkbox" class="hidden" ng-model="pastellConnector.status.autoUpdateEnabled"/>
                            <span class="text text-success" ng-if="pastellConnector.status.autoUpdateEnabled">Activée</span>
                            <span ng-if="!pastellConnector.status.autoUpdateEnabled">Désactivée</span>
                        </label>
                    </div>
                </section>
            </div>
            <div class="col-md-6" ng-if="!pastellConnector.state.updating">
                <section>
                    <h4>Remontée d'erreurs</h4>
                    <div>
                        <p>Autoriser la remontée d'erreurs <strong>*</strong> auprès de Libriciel SCOP ?</p>
                        <div>
                            <button class="btn" ng-click="pastellConnector.status.errorRaised = true" ng-class="pastellConnector.status.errorRaised ? 'btn-primary' : ''">Oui</button>
                            <button class="btn" ng-click="pastellConnector.status.errorRaised = false" ng-class="!pastellConnector.status.errorRaised ? 'btn-primary' : ''">Non</button>
                        </div>
                        <br>
                    </div>

                    <strong>*</strong> : La remontée d'information concerne les éléments suivants :
                    <ul>
                        <li>L'IP publique du serveur i-Parapheur (s'il en existe une)</li>
                        <li>Le nom du serveur i-Parapheur</li>
                        <li>Le numéro de version du service</li>
                        <li>L'heure et la date de l'erreur</li>
                    </ul>
                    <p>Ces informations seront utilisées uniquement à des fins d'assistance technique afin de garantir une meilleure réactivité en cas d'erreur rencontrée sur le service.</p>
                    <p>Les données récupérées ne contiennent aucune information personnelle, elles n'identifient que le serveur applicatif.</p>
                </section>

            </div>

        </div>
    </div>
</div>
